# Uses of Interface
org.eclipse.team.core.ITeamStatus

Packages that use ITeamStatus
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.

## Uses of ITeamStatus in org.eclipse.team.core

Classes in org.eclipse.team.core that implement ITeamStatus
Modifier and Type
Class
Description
`class`
`TeamStatus`
Status that is returned from some Team operations or is the payload of some TeamExceptions.

## Uses of ITeamStatus in org.eclipse.team.core.synchronize

Methods in org.eclipse.team.core.synchronize that return ITeamStatus
Modifier and Type
Method
Description
`ITeamStatus[]`
SyncInfoSet.`getErrors()`
Return an array of the errors the occurred while populating this set.
`ITeamStatus[]`
SyncInfoSetChangeEvent.`getErrors()`
Methods in org.eclipse.team.core.synchronize with parameters of type ITeamStatus
Modifier and Type
Method
Description
`void`
SyncInfoSet.`addError(ITeamStatus status)`
Add the error to the set.
`void`
SyncInfoSetChangeEvent.`errorOccurred(ITeamStatus status)`
`void`
ISyncInfoSetChangeListener.`syncInfoSetErrors(SyncInfoSet set, ITeamStatus[] errors, IProgressMonitor monitor)`
This method is called when errors have occurred calculating the `SyncInfo` for a resource.